Gentoo Archives: gentoo-commits

From: "Andrew Gaffney (agaffney)" <agaffney@g.o>
To: gentoo-commits@l.g.o
Subject: [gentoo-commits] releng r712 - trunk/tools
Date: Mon, 02 Nov 2009 13:31:30
Message-Id: E1N4x0I-0000Zc-N3@stork.gentoo.org
1 Author: agaffney
2 Date: 2009-11-02 13:31:26 +0000 (Mon, 02 Nov 2009)
3 New Revision: 712
4
5 Modified:
6 trunk/tools/ChangeLog
7 trunk/tools/catalyst-auto
8 Log:
9 Detect build failure in one of the build sets and act accordingly
10
11 Modified: trunk/tools/ChangeLog
12 ===================================================================
13 --- trunk/tools/ChangeLog 2009-10-25 18:28:59 UTC (rev 711)
14 +++ trunk/tools/ChangeLog 2009-11-02 13:31:26 UTC (rev 712)
15 @@ -2,6 +2,9 @@
16 # Copyright 1999-2009 Gentoo Foundation; Distributed under the GPL v2
17 # $Id$
18
19 + 02 Nov 2009; Andrew Gaffney <agaffney@g.o> catalyst-auto:
20 + Detect build failure in one of the build sets and act accordingly
21 +
22 01 Jul 2009; Andrew Gaffney <agaffney@g.o> catalyst-auto-hppa.conf:
23 Switch hppa config to use build sets
24
25
26 Modified: trunk/tools/catalyst-auto
27 ===================================================================
28 --- trunk/tools/catalyst-auto 2009-10-25 18:28:59 UTC (rev 711)
29 +++ trunk/tools/catalyst-auto 2009-11-02 13:31:26 UTC (rev 712)
30 @@ -197,6 +197,8 @@
31 exit 1
32 fi
33
34 +build_failure=0
35 +
36 for a in "" ${SETS}; do
37 if [ -z "${a}" ]; then
38 specs_var="SPECS"
39 @@ -210,6 +212,7 @@
40 LOGFILE="${TMPDIR}/log/$(echo "${i}" | sed -e 's:/:_:' -e 's:\.spec$::').log"
41 run_cmd "catalyst -a -p -c ${CATALYST_CONFIG} -f ${i}" ${LOGFILE}
42 if [ $? != 0 ]; then
43 + build_failure=1
44 send_email "Catalyst fatal build error - ${i}" "" "${LOGFILE}"
45 continue 2
46 fi
47 @@ -219,6 +222,7 @@
48 LOGFILE="${TMPDIR}/log/$(echo "${i}" | sed -e 's:/:_:' -e 's:\.spec$::').log"
49 run_cmd "catalyst -a -p -c ${CATALYST_CONFIG} -f ${i}" ${LOGFILE}
50 if [ $? != 0 ]; then
51 + build_failure=1
52 send_email "Catalyst non-fatal build error - ${i}" "" "${LOGFILE}"
53 break
54 fi
55 @@ -236,11 +240,16 @@
56 exit 1
57 fi
58
59 -send_email "Catalyst build success" "Build process complete."
60 +if [ ${build_failure} = 0 ]; then
61 + send_email "Catalyst build success" "Build process complete."
62
63 -if [ "${keep_tmpdir}" = 0 ]; then
64 - if ! rm -rf "${TMPDIR}"; then
65 - echo "Could not remove tmpdir ${TMPDIR}!"
66 - exit 1
67 + if [ "${keep_tmpdir}" = 0 ]; then
68 + if ! rm -rf "${TMPDIR}"; then
69 + echo "Could not remove tmpdir ${TMPDIR}!"
70 + exit 1
71 + fi
72 fi
73 +
74 +else
75 + send_email "Catalyst build complete, but with errors" "Build process has completed, but there were errors. Please consult previous emails to determine the problem."
76 fi